Bug 6923 - Tries to run scripts it shouldn't
Tries to run scripts it shouldn't
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 1999-11-11 08:24 EST by Riley H Williams
Modified: 2014-03-16 22:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-11-11 11:09:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Riley H Williams 1999-11-11 08:24:59 EST
There are TWO bugs in the main init script /etc/rc.d/rc
present on RedHat 5.1, 6.0 and 6.1 versions of this script,
as follows:

 1. The current script is set up to ignore any of the
    *.rpmsave and *.rpmorig scripts that RPM throws up,
    but it fails to ignore the *.rpmnew scripts that
    RPM occasionally throws up. I recently got hit by
    this bug.

 2. It also sometimes tries to execute scripts that do
    not have execute listed in their mode. This results
    in unnecessary error messages being displayed.

I have put the required patch online at the URL above (which
is NOT linked into the tree there), and would ask that this
be applied.
Comment 1 Bill Nottingham 1999-11-11 11:09:59 EST
The rpmnew thing is fixed in the initscripts that ship with 6.1.
Will look at testing -x instead of -f.
Comment 2 Riley H Williams 1999-11-24 08:21:59 EST
Has any decision been reached on "testing -x" ???

I will add that I use -x here, and this allows me to disable subsystems by doing
`chmod a-x /etc/rc.d/init.d/dhcpd` for example, and not see unwanted error
messages appear on the screen during system boot.

Note You need to log in before you can comment on or make changes to this bug.